Get a lead management configuration by id
curl --request GET \
--url https://your-instance.example.com/api/lead-management/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-instance.example.com/api/lead-management/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/lead-management/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "665f1a0c0e0a4b001a2c9f40",
"configurationName": "Facebook Lead Ad Funnel",
"source": "Facebook Lead Ad",
"initialStage": "New Lead",
"status": "active"
}
}{
"error": "Lead management configuration not found"
}{
"error": "Lead management configuration not found"
}{
"error": "Lead management configuration not found"
}Lead Management
Get a lead management configuration by id
Returns the LeadManagement configuration with the given id, scoped to the authenticated user and organization. Returns 404 when the configuration does not exist or belongs to another user.
GET
/
api
/
lead-management
/
{id}
Get a lead management configuration by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Configuration returned
Show child attributes
Show child attributes
Example:
{
"_id": "665f1a0c0e0a4b001a2c9f40",
"organizationId": "64ee9a8b1e7f2a0011223344",
"userId": "64ee9a8b1e7f2a0011223399",
"configurationName": "Facebook Lead Ad Funnel",
"name": "FB Lead Ad",
"description": "Routes Facebook Lead Ad submissions through the warm-up sequence.",
"source": "Facebook Lead Ad",
"inboundEmail": "leads+fb@inbound.example.com",
"initialStage": "New Lead",
"defaultProcess": "64eea1110000000000000001",
"isAutopilot": true,
"allowRecontact": false,
"starterMessage": "Hi {{firstName}}, thanks for your interest!",
"costPerLead": 12.5,
"status": "active",
"pipelineId": "64eea1110000000000000010",
"pipelineStage": "New Lead",
"createApplication": false,
"forwardToOutreach": true,
"useWorkflowOnly": false,
"createdAt": "2026-05-01T09:00:00.000Z",
"updatedAt": "2026-05-10T15:23:00.000Z"
}
⌘I